Drivers Broadcom en Debian GNU/Linux

Hace poco me compre una netbook Lenovo Ideapad S10-2, esta venia con la version “Home” del Windows XP. Funcionaba bien para lo que la queria usar pero queria sacarlo y poner alguna distribución de GNU/Linux.

Probe las versiones de Ubuntu 9.10 y 10.04 como live-usb y funcionaba perfecta. Además probe de utilizar la distribución E-live para ver si se adecuaba al entorno de la netbook y funcionó de maravillas. Todas las distribuciones que mencione antes detectaron todo y funcionaban muy bien pero queria ir mas alla y poder configurar paso a paso mi distribución e instalarle lo minimo e indispensable en cuanto a programas para trabajar.

Para esto utilice la versión testing de debian ya que venia con el kernel 2.6.32 que sabia que soportaba las placas wireless más nuevas (entre ellas la broadcom BCM4312 que yo tenia).

Pero en el momento de la instalación el instalador me avisaba de que iba a haber unos conflictos ya que los drivers que necesitaba para la placa de red wireless pertenecia a la rama de “non-free” de debian y no los iba a instalar en ese momento. Intente de muchas maneras parapoder instalarlos hasta que di con la correcta.

Antes de continuar es necesario que tengan bajados los “headers” del kernel y para ello hay que hacer:

aptitude install linux-headers-$(uname -r)

No hay que bajar nada ni compilar nada a manopla, simplemente configurar los repositorios de debian para testing y realizar lo siguiente:

aptitude install wireless-tools firmware-b43-lpphy-installer b43-fwcutter

Y listo, se van a descargar los paquetes mas sus dependencias además de una serie de archivos necesarios para la compilación.

Luego hacemos

ifconfig wlan0 up

Y reiniciamos la pc.

Les dejo una screenshot del escritorio:

Para más información al respecto o ver como instalar en otras versiones de linux que no sean o esten basadas en debian pueden entrar en:

http://wiki.debian.org/bcm43xx#b43-b43legacy-squeeze

http://wireless.kernel.org/en/users/Drivers/b43


2 thoughts on “Drivers Broadcom en Debian GNU/Linux

  1. hola revisando tu instalación intente hacer lo mismo pero al poner la segunda instruccion me dice que no encuentra ningun paquete de los que se instalan o los que se pretenden instalar, tengo instalado Linux debian Lenny amd64 espero puedas ayudarme ya que me a dado mucha lata instalar la inalambrica desgraciadamente la plataforma de la lap es de 64 bit es una HP Pavilion dv51147la

    1. Como estas?

      Mira, la instalación de estos drivers los hice con la versión Squeeze no con Lenny, y el kernel que estoy utilizando es el 2.6.32 que cuenta con soporte para las placas wireless broadcom que tengo.

      No probe con Lenny pero se me ocurren 2 cosas:

      1.- Ver de utilizar el kernel 2.6.32 en el Lenny que tenes.
      2.- Probar de habilitar en el sources.list los repositorios testing de Debian para poder descargar los paquetes necesarios.

      Ojo, esto es lo que probaria pero no se si funcionará.

      Saludos.

Responder

Introduce tus datos o haz clic en un icono para iniciar sesión:

Logo de WordPress.com

Estás comentando usando tu cuenta de WordPress.com. Cerrar sesión / Cambiar )

Imagen de Twitter

Estás comentando usando tu cuenta de Twitter. Cerrar sesión / Cambiar )

Foto de Facebook

Estás comentando usando tu cuenta de Facebook. Cerrar sesión / Cambiar )

Google+ photo

Estás comentando usando tu cuenta de Google+. Cerrar sesión / Cambiar )

Conectando a %s